<?php

// API routes  for developers
Route::prefix('{guard}/developer')->group(function () {
    Route::get('developers/form/{element}', 'DevelopersAPIController@form');
    Route::resource('developers', 'DevelopersAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for developers
            Route::prefix('{guard}/developer')->group(function () {
                Route::get('developers/form/{element}', 'DevelopersAPIController@form');
                Route::apiResource('developers', 'DevelopersAPIController');
            });
            // Public routes for developers
            Route::get('developer/Developers', 'DevelopersPublicController@getDevelopers');
        }
    );
}

